Package org.apache.felix.http.base.internal.dispatch

## Class InvocationChain

- java.lang.Object
- - org.apache.felix.http.base.internal.dispatch.InvocationChain

All Implemented Interfaces:
  `javax.servlet.FilterChain`

    public class InvocationChain
    extends Object
    implements javax.servlet.FilterChain

### Constructor Summary

Constructors
`InvocationChain​(@NotNull ServletHandler servletHandler, @NotNull FilterHandler[] filterHandlers)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `doFilter​(@NotNull javax.servlet.ServletRequest req, @NotNull javax.servlet.ServletResponse res)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InvocationChain

    public InvocationChain​(@NotNull
                           @NotNull ServletHandler servletHandler,
                           @NotNull
                           @NotNull FilterHandler[] filterHandlers)

### Method Detail

#### doFilter

    public final void doFilter​(@NotNull
                               @NotNull javax.servlet.ServletRequest req,
                               @NotNull
                               @NotNull javax.servlet.ServletResponse res)
                        throws IOException,
                               javax.servlet.ServletException

Specified by:
  `doFilter` in interface `javax.servlet.FilterChain`
Throws:
  `IOException`
  `javax.servlet.ServletException`